# Uses of Interface
org.apache.sling.installer.api.tasks.InstallationContext

Packages that use InstallationContext
Package
Description
org.apache.sling.installer.api.tasks

## Uses of InstallationContext in org.apache.sling.installer.api.tasks

Methods in org.apache.sling.installer.api.tasks with parameters of type InstallationContext
Modifier and Type
Method
Description
`void`
ChangeStateTask.`execute(InstallationContext ctx)`
`abstract void`
InstallTask.`execute(InstallationContext ctx)`
This is the heart of the task - it performs the actual task.